简单一点 2019-09-10 11:34:28 1962次浏览 8条评论 10 7 0

继上次写的那个 《这是一个很干净的后台 (Yii2 + vue的权限管理 rabc)(想了解戳这里 https://www.yiichina.com/code/1963 过去有一段时间了,觉得还是要把这个商城给弄完, 所以利用下班的时间 断断续续地把这个商城写完了,虽说不是很完整、全面。但个人觉得,一般项目的商城是足够可用了。

先讲讲里面的实现的功能吧。完整的权限管理、商品的增删改查、商品的规格管理、订单管理、简单的物流、会员管理、文章管理、轮播图、商城积分管理。

我个人觉得里面还算不错的功能; 一个是商品规格的管理,可以实现不同规格SPU的库存管理,并对规格做了分组,以适用于不同的分类,还是不错的。这里是借鉴了shopNC,但做了一些简化, 个人觉得更简单明了;

还有一个就是 账本(积分)的管理),这个是本人工作中用了几年的一个设计模型, 扩展性和操作性都是不错的,很适合用于,结算、分润、积分支付方面的项目。

权限管理这块也还是可以的,支持无限极角色操作,对于单商城的项目应该是足够用了。 微信和支付宝的项目里没有做,主要是因为没有账号,微信支付这块是比较简单的, 不清楚的可以看我以前写的微信支付的文章,主要是一个记录,方便以后查看。 微信支付文章地址 https://segmentfault.com/a/1190000020125243

github地址:https://github.com/FX336494/shopFX 码云gitee地址:https://gitee.com/mxf_xixi/shopFX

>算了不说了,看一下效果图吧

觉得很赞
亿速云
  • 评论于 2019-09-16 15:52 举报

    看着不错哦,收藏了

  • 评论于 2019-09-27 14:38 举报

    进入vueadmin进行npm install报错哦,是不是你的npm太低,还是我的太高了,我的npm是6.11.3最新的,一直没法npm install哦。

    9 条回复
    评论于 2019-09-29 11:32 回复

    我用6.9的没问题,是报什么错,这个版本应该不会有太大问题

    评论于 2019-09-29 11:44 回复

    好像是有个包6.11.3没法加载吧,后来我把版本降为4.6.1就可以了

    评论于 2019-09-29 16:20 回复

    哪个包,你是把这个包的版本降到4.6.1,还是npm版本

    评论于 2019-09-29 16:21 回复

    同问,我也是遇到这个问题

    评论于 2019-09-29 16:25 回复

    你看是哪个包报错,跟clao一样把版本降一下看

    评论于 2019-09-29 16:27 回复

    就是后台vueadmin
    1、cd vueadmin

    2、安装依赖
        npm install
    

    第二步骤的时候报错

    评论于 2019-09-29 16:30 回复

    报什么错,我刚把npm 升级到了6.11.3也没报什么错啊

    评论于 2019-10-15 17:28 回复

    跟node的版本有关系

    评论于 2019-11-08 10:53 回复

    我在 npm run dev 时报错了,前几步没错误。

    三、后台管理前端配置

        1、cd vueadmin
        2、安装依赖
            npm install
        3、在 ./src/components/js/request.js里配置接口域名
        4、本地运行
            npm run dev
    

    提示 upload.vue unknown word

  • 评论于 2019-10-19 09:55 举报

    Good + Go on.

    觉得很赞
  • 评论于 2019-11-08 15:09 举报

    有没有卡在 后台管理前端 npm run dev 的同学? 搞了3天了愣是没搞明白哪里出问题了,求大佬解答

    1 条回复
    评论于 2019-11-10 13:21 回复

    提交的时候 ,有些冲突的地方没去掉。最近有点忙,没来得及弄了。在upload.vue 最底部, 还有common/Header 有些类似 <<<<<<< HEAD 这样的,去掉就可以了

  • 评论于 2019-11-10 15:27 举报

    正好有这个需求.准备动手发现了这个..老哥稳

  • 评论于 2019-11-30 14:51 举报

    为啥不建个群,有问题大家可以一起讨论呀

  • 评论于 2019-11-30 15:23 举报

    商品模块貌似有bug

    1 条回复
    评论于 2019-12-09 21:51 回复

    嗯嗯,我打开了错误提示,notice级别也会终止程序,不需要的可以在index.php里注释。现在已经修复了,商品模块应该是正常了

  • 评论于 2019-12-09 21:52 举报

    修复了一些bug,需要的可以在github上下载

您需要登录后才可以评论。登录 | 立即注册